Page MenuHomePhabricator

Remove "install system" command
Closed, ResolvedPublic

Description

The "install system" command is deprecated, and is confusing new users. It should be removed.

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0

Related Objects

Event Timeline

amos.shapira created this object with edit policy "All Users".
syncer added a subscriber: VyOS 1.2 Crux.
syncer reassigned this task from syncer to UnicronNL.Aug 1 2017, 5:25 AM
syncer triaged this task as Normal priority.
syncer changed the edit policy from "All Users" to "Custom Policy".
syncer edited subscribers, added: Maintainers, Core Community, Community; removed: VyOS 1.2 Crux, amos.shapira.
syncer added a subscriber: syncer.

I think this one is good candidate for backlog

Well, I have to ask everybody to double think about the very decision to drop the support for "install system" option.
The point is - when you do "install image" - you just drop known-working OS image file to some directory, and if you want to update the OS, you just drop another one (am I correct here?).
But, If you've installed some custom .deb's on the host, you should re-install them after the OS image is updated, even if you had to install new image because of one-line security fix.
Isn't it the scenario for which all those people in debian have used package manager for decades? Isn't it better to just update one package in installed system?

c-po added a comment.Nov 3 2017, 8:01 AM

Isn't it the scenario for which all those people in debian have used package manager for decades? Isn't it better to just update one package in installed system?

I think as this is a non general purpose OS there should be no package manager involved at all. Also debian archives have been removed from the nightly builds. If a user want's to update, he can update to a very special released version.
Having users update only some packages will give more trouble during troubleshooting...

c-po moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Mar 10 2018, 6:13 PM
dmbaturin added a subscriber: dmbaturin.

I think we should implement a package persistence mechanism at some point. Frankly, APT is notorious for offering conflict resolutions that equal self-destruct, for a network admin who is not an experienced Debian user, installing third-party packages the normal way will create more problems than it solves.

dmbaturin closed this task as Resolved.May 30 2018, 10:46 PM
dmbaturin moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-rc1) board.